# Struct ultrasonic_irq::Ultrasonic [−] [src]

    pub struct Ultrasonic {
        pub distance: Arc<AtomicU32>,
        // some fields omitted
    }

## Fields

`distance: Arc<AtomicU32>`

## Methods

### `impl Ultrasonic`
[src]

#### `fn new(trigger_port: u8, echo_port: u8, temperature: u8) -> Result<Ultrasonic>`

Constructs a new `Ultrasonic` and start threads.

# Threads

- `UltrasonicTrigger`
- `UltrasonicEcho`

# Parameter

- `trigger_port` GPIO Port number of trigger pin.
- `echo_port` GPIO Port number of echo pin.
- `temperature` Room temperature in °C.

## Trait Implementations

### `impl Debug for Ultrasonic`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Drop for Ultrasonic`
[src]

#### `fn drop(&mut self)`

Drop sync channels and join threads.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)